# Form implementation generated from reading ui file 'src/eric7/Project/ProjectVenvCreationParametersDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ProjectVenvCreationParametersDialog(object):
    def setupUi(self, ProjectVenvCreationParametersDialog):
        ProjectVenvCreationParametersDialog.setObjectName("ProjectVenvCreationParametersDialog")
        ProjectVenvCreationParametersDialog.resize(700, 100)
        ProjectVenvCreationParametersDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(ProjectVenvCreationParametersDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_5 = QtWidgets.QLabel(parent=ProjectVenvCreationParametersDialog)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout.addWidget(self.label_5)
        self.pythonExecPicker = EricPathPicker(parent=ProjectVenvCreationParametersDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pythonExecPicker.sizePolicy().hasHeightForWidth())
        self.pythonExecPicker.setSizePolicy(sizePolicy)
        self.pythonExecPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.pythonExecPicker.setObjectName("pythonExecPicker")
        self.horizontalLayout.addWidget(self.pythonExecPicker)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.systemCheckBox = QtWidgets.QCheckBox(parent=ProjectVenvCreationParametersDialog)
        self.systemCheckBox.setObjectName("systemCheckBox")
        self.verticalLayout.addWidget(self.systemCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ProjectVenvCreationParametersDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(ProjectVenvCreationParametersDialog)
        self.buttonBox.accepted.connect(ProjectVenvCreationParametersDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(ProjectVenvCreationParametersDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ProjectVenvCreationParametersDialog)
        ProjectVenvCreationParametersDialog.setTabOrder(self.pythonExecPicker, self.systemCheckBox)

    def retranslateUi(self, ProjectVenvCreationParametersDialog):
        _translate = QtCore.QCoreApplication.translate
        ProjectVenvCreationParametersDialog.setWindowTitle(_translate("ProjectVenvCreationParametersDialog", "Virtual Environment Configuration"))
        self.label_5.setText(_translate("ProjectVenvCreationParametersDialog", "Python Executable:"))
        self.pythonExecPicker.setToolTip(_translate("ProjectVenvCreationParametersDialog", "Enter the Python interpreter for the virtual environment"))
        self.systemCheckBox.setToolTip(_translate("ProjectVenvCreationParametersDialog", "Select to give the virtualenv access to the global site-packages"))
        self.systemCheckBox.setText(_translate("ProjectVenvCreationParametersDialog", "System-wide Python Packages"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
